package main

import (
	"encoding/json"
	"fmt"
)

func main() {
	test := []int{1, 2, 3, 4, 5}
	marshal, err := json.Marshal(test)
	if err != nil {
		panic(err)
	}
	fmt.Println(string(marshal))
	var unMarshalled []int
	err = json.Unmarshal(marshal, &unMarshalled)
	if err != nil {
		panic(err)
	}
	fmt.Println(unMarshalled)
}
